function [CentersUpdt, RadiiUpdt] = odstraneniBodu(centers,radii,im)
    
  text(2,10,'Chcete odstranit bod? Ano - enter, Ne - space','Color','red','FontSize',14)
    ch = getkey;
    switch(ch)
        case(13) %enter
            while ch == 13
                     i = 0;
                     ch = 0;
                     while ch ~= 13 %enter
                         i = i+1;
                         imshow(im);
                         viscircles(centers(1,:), radii(1),'EdgeColor','r');
                         viscircles(centers(2:length(centers),:), radii(2:length(centers)),'EdgeColor','b');
                         text(2,10,'Chcete odstranit bod? Ano - enter, Ne - space','Color','red','FontSize',14)
                         ch = getkey;
                         centers(end+1,:) = centers(1,:);
                         centers(1,:) = [];
                         radii(end+1,:) = radii(1,:);
                         radii(1,:) = [];

                         if(i>length(centers))
                             i = 1;
                         end

                     end
                     centers(end,:) = [];
                     CentersUpdt = centers;
                     radii(end,:) = [];
                     RadiiUpdt = radii;
                     imshow(im);
                     viscircles(centers(1:end,:), radii(1:end),'EdgeColor','b');
                     text(2,10,'Chcete odstranit další bod? Ano - enter, Ne - space','Color','red','FontSize',14);
                     ch = getkey;
            end

        case(32) %space
            CentersUpdt = centers;
            RadiiUpdt = radii;
    
    end
     


end